[Overview][Classes][Procedures and functions][Index] | Reference for unit 'Spin' (#lcl)

# TCustomFloatSpinEdit.RealGetText

Gets the value for the text in the control.

## Declaration

Source position: spin.pp line 58

`protected function TCustomFloatSpinEdit.RealGetText: TCaption; override;`

## Description

RealGetText is an overridden method in TCustomFloatSpinEdit, and calls the inherited method to get the return value when the Handle has been allocated for the control. If the Handle has not been assigned, ValueToStr is called to get the return value for the method.

## See also

TCustomFloatSpinEdit.ValueToStr |  | Converts the specified value to a String type using the spin edit settings.
TCustomEdit.RealGetText |  | Uses the TextHint display status when getting the value for Text.